﻿using System;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace WindowsFormsApplication11
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ChartControl chart = new ChartControl();

            //Create multible chart as follows
            ChartSeries series0 = new ChartSeries();
            ChartSeries series1 = new ChartSeries();
            ChartSeries series2 = new ChartSeries();
            ChartSeries series3=new ChartSeries();

            Random yValue = new Random();

            //Add the series types as follows
            series0.Type = ChartSeriesType.Line;
            series1.Type = ChartSeriesType.Column;
            series2.Type = ChartSeriesType.Scatter;      
            series3.Type = ChartSeriesType.Bubble;
          
            //Add the data for the series as follows
            for (int i = 0; i < 4; i++)
            {
                for (int j = 0; j < 10; j++)
                {
                    if(i==0)
                        series0.Points.Add(j, yValue.Next(0,10));
                    if(i==1)
                        series1.Points.Add(j, yValue.Next(15,30));
                    if(i==2)
                        series2.Points.Add(j, yValue.Next(30,50));
                    if(i==3)
                        series3.Points.Add(j, yValue.Next(60,70));
                }
            }
            
            //Add these to Chart Series 
            chart.Series.Add(series0);
            chart.Series.Add(series1);
            chart.Series.Add(series2);
            chart.Series.Add(series3);
            this.Controls.Add(chart);
        }
    }
}
